# Add-RASClientPolicyConnection.md

## NAME

Add-RASClientPolicyConnection

## SYNOPSIS

Adds a new connection to the Connection List.

## SYNTAX

\*\*Add-RASClientPolicyConnection \[[Id](#id-string)] *(uint)* -[Mode](#Mode) {GatewayMode | GatewaySSLMode | DirectMode | DirectSSLMode} -[Server](#server-string) *(string)* -[ServerPort](#serverport-string) *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Add-RASClientPolicyConnection \[-[InputObject](#inputobject)] *(*[*ClientRules*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/clientrules.md)*)* -[Mode](#Mode) {GatewayMode | GatewaySSLMode | DirectMode | DirectSSLMode} -[Server](#server-string) *(string)* -[ServerPort](#serverport-string) *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Add-RASClientPolicyConnection \[[Name](#name-string)] *(string)* -[Mode](#Mode) {GatewayMode | GatewaySSLMode | DirectMode | DirectSSLMode} -[Server](#server-string) *(string)* -[ServerPort](#serverport-string) *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Adds a new connection to the Connection List

## PARAMETERS

## Mode ([Mode](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/mode.md))

The mode type of connection.

Possible values: GatewayMode, GatewaySSLMode, DirectMode, DirectSSLMode

```
        Required?                    true

        Position?                    named

        Default value                GatewayMode

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Server (string)

The Server which the user is going to connect to.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ServerPort (uint)

The port of the Server.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Name (string)

Name of the client policy to modify.

This must be the actual client policy name used in the RAS farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the client policy to modify. To obtain the ID, use the Get-RASClientPolicy cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([ClientRules](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/clientrules.md))

The client policy object to modify.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[ClientRules](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/clientrules.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Add-RASClientPolicyConnection -Id 1 -Mode "Gateway Mode" -Server "xyz" -ServerPort "80"

Adds the client policy connection with the following settings with Id=1.

## RELATED LINKS

* [Set-RASClientPolicy](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasclientpolicy.md)
* [Get-RASClientPolicy](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasclientpolicy.md)
* [Get-RASClientPolicyConnection](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasclientpolicyconnection.md)
* [Remove-RASClientPolicyConnection](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasclientpolicyconnection.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasclientpolicyconnection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
